---
lang: en
title: 'API docs: authentication-jwt.securityspecenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.securityspecenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [SecuritySpecEnhancer](./authentication-jwt.securityspecenhancer.md)

## SecuritySpecEnhancer class

A spec enhancer to add bearer token OpenAPI security entry to `spec.component.securitySchemes`

**Signature:**

```typescript
export declare class SecuritySpecEnhancer implements OASEnhancer 
```
**Implements:** [OASEnhancer](./openapi-v3.oasenhancer.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name](./authentication-jwt.securityspecenhancer.name.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[modifySpec(spec)](./authentication-jwt.securityspecenhancer.modifyspec.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>

